Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class StatsConfig

    java.lang.Object
      com.sleepycat.je.StatsConfig

    public class StatsConfig

extends Object

Specifies the attributes of a statistics retrieval operation.

Field Summary
`static StatsConfig` | `DEFAULT` A convenience instance embodying the default configuration.

Constructor Summary
`StatsConfig()` An instance created using the default constructor is initialized with the system's default settings.

Method Summary
`boolean` | `getClear()` Returns true if the statistics operation is configured to reset statistics after they are returned.
`boolean` | `getFast()` Returns true if the statistics operation is configured to return only the values which do not require expensive actions.
`int` | `getShowProgressInterval()` Returns the showProgressInterval value, if set.
`PrintStream` | `getShowProgressStream()` Returns the PrintStream on which the progress messages will be displayed during long running statistics gathering operations.
`void` | `setClear(boolean clear)` Configures the statistics operation to reset statistics after they are returned.
`void` | `setFast(boolean fast)` Configures the statistics operation to return only the values which do not incur some performance penalty.
`void` | `setShowProgressInterval(int showProgressInterval)` When the statistics operation is configured to display progress the showProgressInterval is the number of LNs between each progress report.
`void` | `setShowProgressStream(PrintStream showProgressStream)` Configures the statistics operation to display progress to the PrintStream argument.
`String` | `toString()` Returns the values for each configuration attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final StatsConfig DEFAULT

  A convenience instance embodying the default configuration.

Constructor Detail

### StatsConfig

    public StatsConfig()

  An instance created using the default constructor is initialized with the system's default settings.

Method Detail

### setFast

    public void setFast(boolean fast)

  Configures the statistics operation to return only the values which do not incur some performance penalty.

  The default value is false.

  For example, skip stats that require a traversal of the database or in-memory tree, or which lock down the lock table for a period of time.

  Parameters:
    `fast` - If set to true, configure the statistics operation to return only the values which do not incur some performance penalty.

### getFast

    public boolean getFast()

  Returns true if the statistics operation is configured to return only the values which do not require expensive actions.

  Returns:
    true if the statistics operation is configured to return only the values which do not require expensive actions.

### setClear

    public void setClear(boolean clear)

  Configures the statistics operation to reset statistics after they are returned. The default value is false.

  Parameters:
    `clear` - If set to true, configure the statistics operation to reset statistics after they are returned.

### getClear

    public boolean getClear()

  Returns true if the statistics operation is configured to reset statistics after they are returned.

  Returns:
    true if the statistics operation is configured to reset statistics after they are returned.

### setShowProgressStream

    public void setShowProgressStream(PrintStream showProgressStream)

  Configures the statistics operation to display progress to the PrintStream argument. The accumulated statistics will be displayed every N records, where N is the value of showProgressInterval.

### getShowProgressStream

    public PrintStream getShowProgressStream()

  Returns the PrintStream on which the progress messages will be displayed during long running statistics gathering operations.

### setShowProgressInterval

    public void setShowProgressInterval(int showProgressInterval)

  When the statistics operation is configured to display progress the showProgressInterval is the number of LNs between each progress report.

### getShowProgressInterval

    public int getShowProgressInterval()

  Returns the showProgressInterval value, if set.

### toString

    public String toString()

  Returns the values for each configuration attribute.

  Overrides:
    `toString` in class `Object`
  Returns:
    the values for each configuration attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.